sc::LocalGBuild< T >(3)

NAME
sc::LocalGBuild< T > -

SYNOPSIS

Inherits sc::GBuild< T >.

  Public Member Functions
LocalGBuild (T &t, const Ref< TwoBodyInt > &tbi, const Ref< PetiteList > &rpl, const Ref< GaussianBasisSet > &bs, const Ref< MessageGrp > &g, signed char *pm, double acc, int nt=1, int tn=0)
void run ()
This is called with the Thread is run from a ThreadGrp.

  Public Attributes
double tnint

  Protected Attributes
MessageGrp * grp_
TwoBodyInt * tbi_
GaussianBasisSet * gbs_
PetiteList * rpl_
signed char *restrictxx pmax
int threadno_
int nthread_
double accuracy_

  template<class T> class sc::LocalGBuild< T >

Author

Generated automatically by Doxygen for MPQC from the source code.